[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible maintenance: add mtime restriction to the 2nd group too

Holger Levsen holger at moszumanska.debian.org
Wed Feb 17 15:17:43 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 0041c9afbfc52ba49997cd765cae412912d2b69b
Author: Holger Levsen <holger at layer-acht.org>
Date:   Wed Feb 17 16:17:02 2016 +0100

    reproducible maintenance: add mtime restriction to the 2nd group too
---
 bin/reproducible_maintenance.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index eb5769a..0a5f4c7 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -116,11 +116,11 @@ set -e
 
 # delete old temp directories
 echo "$(date -u) - Deleting temp directories, older than 2 days."
-OLDSTUFF=$(find $REP_RESULTS -maxdepth 1 -type d -mtime +1 -name "tmp.*" -o -name "rbuild*" -exec ls -lad {} \; || true)
+OLDSTUFF=$(find $REP_RESULTS -maxdepth 1 -type d -mtime +1 -name "tmp.*" -o -mtime +1 -name "rbuild*" -exec ls -lad {} \; || true)
 if [ ! -z "$OLDSTUFF" ] ; then
 	echo
 	echo "Old temp directories found in $REP_RESULTS"
-	find $REP_RESULTS -maxdepth 1 -type d -mtime +1 -name "tmp.*" -o -name "rbuild*" -exec rm -rv {} \; || true
+	find $REP_RESULTS -maxdepth 1 -type d -mtime +1 -name "tmp.*" -o -mtime +1 -name "rbuild*" -exec rm -rv {} \; || true
 	echo "These old directories have been deleted."
 	echo
 	DIRTY=true

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list